org.apache.ignite.internal.processors.security

## Class SecurityUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.security.SecurityUtils

    public class SecurityUtils
    extends Object

Security utilities.

### Field Summary

Fields
`static IgniteProductVersion` `SERVICE_PERMISSIONS_SINCE` Version since service security supported.

### Method Summary

Methods
`static Map<String,Collection<SecurityPermission>>` `compatibleServicePermissions()`
`static boolean` `isSecurityCompatibilityMode()`
`static void` `restoreDefaultSerializeVersion()` Sets default serialize version `DFLT_SERIALIZE_VERSION`.
`static int` `serializeVersion()`
`static void` `serializeVersion(int ver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_PERMISSIONS_SINCE

    public static final IgniteProductVersion SERVICE_PERMISSIONS_SINCE

Version since service security supported.

### Method Detail

#### isSecurityCompatibilityMode

    public static boolean isSecurityCompatibilityMode()

Returns:
  Security compatibility mode flag.

#### serializeVersion

    public static void serializeVersion(int ver)

Parameters:
  `ver` - Serialize version.

#### serializeVersion

    public static int serializeVersion()

Returns:
  Serialize version.

#### restoreDefaultSerializeVersion

    public static void restoreDefaultSerializeVersion()

Sets default serialize version `DFLT_SERIALIZE_VERSION`.

#### compatibleServicePermissions

    public static Map<String,Collection<SecurityPermission>> compatibleServicePermissions()

Returns:
  Allow all service permissions.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017